Method: projects.locations.buckets.reprovision

Initiates reprovisioning of a bucket.

This is allowed only a single time for a bucket and results in data loss. Subsequent calls to this method for the same bucket will result in a FAILED_PRECONDITION (400 Bad Request) error.

HTTP request


POST https://observability.googleapis.com/v1/{name=projects/*/locations/*/buckets/*}:reprovision

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Name of the bucket to reprovision. The format is:

projects/[PROJECT_ID]/locations/[LOCATION]/buckets/[BUCKET_ID]

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.